######################################################################
#
# Macro Name    : _07_define_slope_berm_width.tcl
#
# Version       : Surpac 6.3
#
# Creation Date : Thu Apr 05 13:31:19 2012
#
# Description   : 
#
######################################################################

#macros 5 and 6

set status [ SclFunction "EXIT GRAPHICS" {} ]

set status [ SclFunction "BM EXIT" {
  frm20103={
    {
      exit_mode="S"
    }
  }
}]

set status [ SclFunction "RECALL ANY FILE" {
  file="ore_blocks.str"
  mode="openInNewLayer"
}]

set status [ SclFunction "RECALL ANY FILE" {
  file="whittle_pit28.str"
  mode="openInNewLayer"
}]

set status [ SclFunction "RECALL ANY FILE" {
  file="pitdesign.mdl"
  mode="openInNewLayer"
}]

set status [ SclFunction "ZOOM ALL" {} ]

set status [ SclFunction "SLICING PLANES" {
  frm00298={
    {
      forward="11"
      backward="1"
      method="Elevation"
      plane_thickness=""
      step_distance=""
      value="880,1100,10"
      sectionBlockModel="N"
      block_layer="block sections"
      tolerance="0"
      section_objects="N"
      object_range=""
      object_layer="object sections"
      confirm_line_ends="N"
      interval_range="range"
      colour_fill_bm_sections="N"
      zoom_plane="Y"
      view_limits="N"
      display_planes="N"
      use_interactive="N"
      colour_method="No change"
      trace_colour="jungle green"
    }
  }
}]

set status [ SclFunction "RECALL ANY FILE" {
  file="bas880.str"
  mode="openInNewLayer"
}]


#macro 7

set status [ SclFunction "DESIGN SLOPE METHOD" {
  frm05004={
    {
      _action=display
      slope_attribute="face_angle"
      slope_method="block model"
    }
  }
}]

puts ""
puts ""
puts " Macro _07_define_slope_berm_width.tcl completed"
puts ""